j'ai fait un examen en utilisant la fonction geometry pour éviter d'avoir à imprimer trop de page. Mal m'en a 
pris, j'ai eu un warning lors du layout detection.
J'ai donc fait 'check layout' et tout semblait correct visuellement. J'ai donc ignoré le warning.

Lors de la correction des copies le layout est en effet très mauvais: les cases détectées sont loins des cases 
imprimées (il y a une sorte de gradient de décalage).
Je suis très embêté car j'ai plus de 500 pages à corriger... 

J'ai fait un projet minimal correspondant à mon problème à cette adresse:
http://pperso.th.u-psud.fr/page_perso/Verley/PB-calage.zip
Merci d'avance pour votre aide !
(j'ai encore trois groupe de TD qui passent demain vendredi 20/04, il est encore temps que j'imprime des 
nouveaux sujets, mais j'aurai le pb avec les QCM deja passés...)

Cordialement,

History
04/19/2018 06:22 pm - Frédéric Bréal
Avec la version test à jour (1.3.0+it2018-04-06), je n'ai aucun avertissement.
Il y a eu 2 messages "ici":https://project.auto-multiple-choice.net/boards/2/topics/6777 et "là":https://project.auto-multiple-choice.net/issues/555 d'un 
problème identique. La solution serait de recompiler les sources (forum anglais).

04/20/2018 08:14 am - Gatien Verley
Merci pour cette réponse rapide. J'ai utilisé la version 1.3.0+it2018-04-06 avec le même projet. Je n'ai plus les warning en effet, mais lorsque je corrige 
l'examen déjà imprimé, j'ai toujours le décalage des cases.

Est-ce que AMC gère les insertions de commande du genre \vspace{-0.8cm} ? Ou bien est-ce cela qui peut entraîner le problème de calage des cases 
entre le papier et la détection sur AMC ? (le décalage augmente on dirait à chaque emploi de cette commande)

Par sécurité, je vais réimprimer pour les 4 groupes qui n'ont pas encore eu l'examen, il vaut mieux que je le fasse sans cette commande j'imagine ?

04/20/2018 09:32 am - Frédéric Bréal
Je vous propose 4 solutions empiriques (je n'ai aucune maîtrise de latex et perl).
# remplacez *\vspace* par *\vspace**, je n'y crois pas trop car j'utilise la version non étoilée également.
# vérifiez au moment de l'impression que adobe ne réduise pas la feuille : ne pas cocher *adapter à la page*, vérifier dans l'aperçu de l'imprimante que 
le code binaire et les marques de calage seront imprimées. Pas sûr non plus que cela résoudra le problème.
# vérifiez si les élèves n'ont pas dessiné autour des marques ou que du stylo serait visible par transparence avec la copie.
# copiez votre dossier sujet, remplacez *\exemplaire{1}* par *\exemplaire{288}* et dans l'interface graphique mettez 0 à nombre de copies. Recompilez 
le sujet et recommencez la correction. Je mise tous mes espoirs ici.
> Par sécurité, je vais réimprimer pour les 4 groupes qui n'ont pas encore eu l'examen, il vaut mieux que je le fasse sans cette commande j'imagine ?
 Faîtes un nouveau sujet en gardant bien le même nombre de copies. Cela vous évitera d'avoir des copies avec le même code barre mais des sujets 
différents dans le mélange.

04/20/2018 07:17 pm - Gatien Verley
OK j'ai essayer 1 et 4, pour ce qui est de 2, c'est la reprographie de l'université qui a fait l'impression. Je peux leur demander si ils se souviennent avoir 
fait une mise à l'échelle (je gage qu'ils ne sauront pas) ou tenter de comparer par transparence avec un suet imprimé par mes soins sans facteur 
d'échelle... Le point 3 est ok sinon.

J'ai à présent l'erreur suivante lors de la correction auto à partir des scans:
ERROR(): No layout for ID +0/0/0+
Je ne sais pas si cela est important. En tous les cas, maintenant AMC indique "No data" en rouge et "110 scans were not recognized" lorsque j'utilise 
les scans de mes copies. Bbon j'ai recompilé les sources non modifiées (à part les étoile du point 1 dans vspace), mais je gage que avec la graine 
spécifiée cela ne pose pas de problème pour l'ordre des questions aléatoire. C'est bon signe ce nouveau problème ?

J'ai fait un projet bis pour les sujets de cet après midi c'était le plus rapide. Et j'ai testé avant d'imprimer... 4 groupes d'assurés...

Merci encore pour votre aide!

04/20/2018 10:40 pm - Alexis Bienvenüe
Le problème vient du fait que les cercles de coin ne sont pas au même endroit sur toutes les pages.
En fait, seule la page 1 de la copie 1 a des positions différentes.
Pour les sujets déjà imprimés et utilisés malgré le problème, vous pouvez peut-être vous en tirer avec le bricolage suivant (ça a marché dans la cas du 
message message#4853), qu'il vaut mieux essayer avec la même version d'AMC que celle que vous avez utilisée pour la préparation et impression de 
vos copies, même si j'ai l'impression que ça devrait marcher également avec votre version maintenant plus récente :
# Faites une sauvegarde de votre répertoire projet complet
# Effacez toutes vos saisies
# Faites une saisie automatique avec tous les scans de page 1 de la copie 1 (en mode sans photocopie, il y en a au plus un)
# Faites une copie de sauvegarde du fichier data/layout.sqlite de votre répertoire projet
# Ouvrez le fichier data/layout.sqlite avec sqlite et modifiez la position des marques de la page 1 pour la placer au même endroit que les pages 2 et 3
<pre>
PROJET> sqlite3 data/layout.sqlite
SQLite version 3.15.0 2016-10-14 10:20:30
Enter ".help" for usage hints.
sqlite> update layout_mark set y=3208.85171820679 where student=1 and page=1 and corner>=3;
sqlite> .quit
</pre>
# Faites une saisie automatique avec tous les autres scans
# Éventuellement, restaurez data/layout.sqlite

04/21/2018 12:30 pm - Gatien Verley
<3 Merci beaucoup <3

Le petit bricolage a fonctionné ! Je suis tellement soulagé...

L'erreur que je ne dois plus reproduire consiste à ne pas avoir les mêmes positions pour les marques de coin sur toutes les pages si je comprend 
bien... En gros je peux utiliser l'option geometry pour rogner les marges, mais pas vspace pour éviter de bouger les marques de coin. C'est bien cela ?

04/21/2018 12:54 pm - Frédéric Bréal
<pre>
\geometry{hmargin=1.3cm,headheight=1.5cm,headsep=.3cm,footskip=0cm,top=2cm,bottom=2cm}
</pre>
Quand je mets 1.5cm pour headheight, ça marche. Il n'y a plus de décalage.

04/21/2018 01:04 pm - Gatien Verley
Ok merci beaucoup pour votre aide à tous les deux! 
Je mettrai au moins 1.5cm sur headheight pour ne plus avoir le soucis. (et aussi que je testerai quelques sujets avant de les donner à 270 étudiants... 
Ca m'évitera des soucis)

05/11/2018 08:14 am - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100
